<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_detail.name }}</h1>
            <h2>Tasks</h2>
            <p><a href="{% url 'todo_list_update' todo_list_detail.id %}">Edit</a></p>
            <p><a href="{% url 'todo_list_delete' todo_list_detail.id %}">Delete</a></p>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due Date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for tasks in todo_detail.items.all %}
                        <tr>
                            <td><a href="{% url 'todo_item_update' tasks.id %}">{{ tasks.task }}</a></td>
                            <td>{{ tasks.due_date| date:"F d Y" }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
